[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

gtk2.0 can't compile



hi, i was compiling gtk2.0 on freebsd4.7 and found something weird:
cd .libs && rm -f im-viqr.la && ln -sf ../im-viqr.la im-viqr.la)
../../gtk/gtk-query-immodules-2.0 *.la > gtk.immodules
Cannot load module
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/im-am-et.la:
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/.libs/:
invalid file format
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/im-am-et.la
does not export GTK+ IM module API:
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/.libs/:
invalid file format
Cannot load module
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/im-cyrillic-translit.la:
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/.libs/:
invalid file format
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/im-cyrillic-translit.la
does not export GTK+ IM module API:
/usr/ports/x11-toolkits/gtk20/work/gtk+-2.2.1/modules/input/.libs/:
invalid file format
....
the list goes on for a while. can anybody tell me where went wrong?
thansk!